#### D.5.9.8 WitSupSet

Procedure from library `numerDecom.lib` (see numerDecom_lib).

Usage:
  WitSupSet(ideal I);I ideal

Return:
  list of Witness point Super Sets W(i) for i=1,...,dim(V(I)), L list of generic linear polynomials and N(0) list of a polynomial system of the same number of polynomials and unknowns. // if W(i) = x, then V(I) has no component of dimension i

Example:

    LIB "numerDecom.lib";
    ring r=0,(x,y,z),dp;
    poly f1=(x2+y2+z2-6)*(x-y)*(x-1);
    poly f2=(x2+y2+z2-6)*(x-z)*(y-2);
    poly f3=(x2+y2+z2-6)*(x-y)*(x-z)*(z-3);
    ideal I=f1,f2,f3;
    def W=WitSupSet(I);
    setring W;
    W(2);
    // witness point super set of a pure 2-dimensional component of V(I)
    W(1);
    // witness point super set of a pure 1-dimensional component of V(I)
    W(0);
    // witness point super set of a pure 0-dimensional component of V(I)
    L;
    // list of generic linear polynomials

User manual for Singular version 4.4.1, 2025, generated by texi2html.